Bug 1491692 (CVE-2017-13077)

Summary: CVE-2017-13077 wpa_supplicant: Reinstallation of the pairwise key in the 4-way handshake
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact: Ken Benoit <kbenoit>
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: bgalvani, blueowl, cperry, dcaratti, dcbw, linville, lkundrak, negativo17, riehecky, security-response-team, slawomir, sukulkar
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A new exploitation technique called key reinstallation attacks (KRACKs) affecting WPA2 has been discovered. A remote attacker within Wi-Fi range could exploit this attack to decrypt Wi-Fi traffic or possibly inject forged Wi-Fi packets by reinstalling a previously used pairwise key (PTK-TK) during a 4-way handshake.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-10-19 08:47:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1495527, 1495528, 1495530, 1495531, 1502588, 1502589    
Bug Blocks: 1491701, 1502617    

Description Adam Mariš 2017-09-14 12:31:28 UTC
A new exploitation technique called key reinstallation attacks used to break Wi-Fi handshakes that negotiate session keys was discovered. These attacks target the Wi-Fi/WPA2 standard. An adversary can trick a client or Access Point (AP) into reinstalling an already-in use pairwise key in 4-way handshake. While reinstalling the already in-use key, the associated packet number (sometimes also called nonce) and receive replay counter is reset. This causes nonce reuse, voiding any security the underlying encryption protocol is supposed to provide. For example, it allows decryption or injection of frames, and enables an attacker to replay frames.

Comment 1 Adam Mariš 2017-09-14 12:31:32 UTC
Acknowledgments:

Name: CERT
Upstream: Mathy Vanhoef (University of Leuven)

Comment 9 Andrej Nemec 2017-10-16 09:43:18 UTC
Created hostapd tracking bugs for this issue:

Affects: fedora-all [bug 1502588]


Created wpa_supplicant tracking bugs for this issue:

Affects: fedora-all [bug 1502589]

Comment 13 errata-xmlrpc 2017-10-17 21:39:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2907 https://access.redhat.com/errata/RHSA-2017:2907

Comment 14 Stefan Cornelius 2017-10-18 08:49:23 UTC
Statement:

This issue affects the versions of wpa_supplicant as shipped with Red Hat Enterprise Linux 5, 6, and 7.

Comment 15 errata-xmlrpc 2017-10-18 16:13:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:2911 https://access.redhat.com/errata/RHSA-2017:2911